Subject: All-clear: ssh/sshd/inetutils work on W9X
From: Corinna Vinschen <[email-masked]>
To: cygwin <[email-masked]>, Ken Coleman <[email-masked]>
Date: Fri, 19 May 2000 22:57:37 +0200

Oh, oh, oh...

As I mentioned yesterday I could get neither ssh nor sshd
nor telnetd/rlogind working on my 98 box correctly.

This was due to the fact that I made / (root dir)
to the home dir of my W98 user. As soon as I changed
the home dir to eg. /home/corinna all tools worked
"out of the box".

And sshd accepts RSA of course!

So, as a result of my own failure, I can give the following
hint:

DON'T LET / BE YOUR HOME DIR!!!

Set the environment variable HOME to your home dir and,
that's important for the tools, create a /etc/passwd with
one entry for you (eg. in my case):

	corinna::500:544::/home/corinna:/bin/sh

Use the above id's, UID 500, gid 544 because that are
always the id's for a W9X user.

Put your .ssh dir into that /home/yourname

W9X users can't use the login.exe that is part of the
inetutils package. They have to create an application or
a shell script named

	/usr/bin/login

with for example the following content:

	#!/bin/sh
	exec sh

Ken, would you mind to publish your version of the `login'
script as another example?

Hope, that helps,
Corinna

-- 
Corinna Vinschen
Cygwin Developer
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]